Every Intel platform from Nehalem to Kaby Lake has a remotely exploitable security hole. SemiAccurate has been begging Intel to fix this issue for literally years and it looks like they finally listened.

http://semiaccurate.com/2017/05/01/remote-security-exploit-2008-intel-platforms/